io.vertx.jdbcclient

## Class JDBCConnectOptions

- java.lang.Object
- - io.vertx.jdbcclient.JDBCConnectOptions

-     public class JDBCConnectOptions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCConnectOptions()`
    `JDBCConnectOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConnectTimeout()`
    `String` | `getDatabase()`
    `String` | `getDataSourceImplementation()`
    `int` | `getIdleTimeout()`
    `String` | `getJdbcUrl()`
    `String` | `getPassword()`
    `TracingPolicy` | `getTracingPolicy()`
    `String` | `getUser()`
    `boolean` | `isMetricsEnabled()`
    `JDBCConnectOptions` | `setConnectTimeout(int connectTimeout)`
    `JDBCConnectOptions` | `setDatabase(String database)`
    `JDBCConnectOptions` | `setDataSourceImplementation(String dataSourceImplementation)`
    `JDBCConnectOptions` | `setIdleTimeout(int idleTimeout)`
    `JDBCConnectOptions` | `setJdbcUrl(String jdbcUrl)`
    `JDBCConnectOptions` | `setMetricsEnabled(boolean metricsEnabled)`
    `JDBCConnectOptions` | `setPassword(String password)`
    `JDBCConnectOptions` | `setTracingPolicy(TracingPolicy tracingPolicy)` Set the tracing policy for the client behavior when Vert.x has tracing enabled.
    `JDBCConnectOptions` | `setUser(String user)`
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBCConnectOptions

          public JDBCConnectOptions()

    - #### JDBCConnectOptions

          public JDBCConnectOptions(JsonObject json)

  - ### Method Detail

    - #### getDataSourceImplementation

          public String getDataSourceImplementation()

    - #### setDataSourceImplementation

          public JDBCConnectOptions setDataSourceImplementation(String dataSourceImplementation)

    - #### isMetricsEnabled

          public boolean isMetricsEnabled()

    - #### setMetricsEnabled

          public JDBCConnectOptions setMetricsEnabled(boolean metricsEnabled)

    - #### getJdbcUrl

          public String getJdbcUrl()

    - #### setJdbcUrl

          public JDBCConnectOptions setJdbcUrl(String jdbcUrl)

    - #### getUser

          public String getUser()

    - #### setUser

          public JDBCConnectOptions setUser(String user)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public JDBCConnectOptions setPassword(String password)

    - #### getDatabase

          public String getDatabase()

    - #### setDatabase

          public JDBCConnectOptions setDatabase(String database)

    - #### getConnectTimeout

          public int getConnectTimeout()

    - #### setConnectTimeout

          public JDBCConnectOptions setConnectTimeout(int connectTimeout)

    - #### getIdleTimeout

          public int getIdleTimeout()

    - #### setIdleTimeout

          public JDBCConnectOptions setIdleTimeout(int idleTimeout)

    - #### getTracingPolicy

          public TracingPolicy getTracingPolicy()

      Returns:
        the tracing policy

    - #### setTracingPolicy

          public JDBCConnectOptions setTracingPolicy(TracingPolicy tracingPolicy)

      Set the tracing policy for the client behavior when Vert.x has tracing enabled.
      Parameters:
        `tracingPolicy` - the tracing policy
      Returns:
        a reference to this, so the API can be used fluently

    - #### toJson

          public JsonObject toJson()

Copyright © 2021 Eclipse. All rights reserved.